import Vue from "vue";

import "normalize.css/normalize.css"; // A modern alternative to CSS resets

import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import locale from "element-ui/lib/locale/lang/zh-CN"; // lang i18n

import "@/styles/index.scss"; // global css

import App from "./App";
import store from "./store";
import router from "./router";
import api from "./api/index";
import "@/icons"; // icon
import "@/permission"; // permission control
import "./babel.css";
import "./assets/fonts/iconfont.css";

import hevueImgPreview from "hevue-img-preview";

Vue.use(hevueImgPreview);
// 创建事件总线
Vue.prototype.$eventBus = new Vue();

/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */
if (process.env.NODE_ENV === "production") {
  const { mockXHR } = require("../mock");
  mockXHR();
}

// set ElementUI lang to EN
Vue.use(ElementUI, { locale });
// 如果想要中文版 element-ui，按如下方式声明
// Vue.use(ElementUI)
Vue.prototype.$api = api;
Vue.config.productionTip = false;
Vue.config.silent = true;
new Vue({
  el: "#app",
  router,
  store,
  render: (h) => h(App),
});
